﻿/*Styling implemented across all of the 3 web pages.*/
body {
    font-size: 1rem;
    font-family: Georgia, 'Times New Roman', serif;
    line-height: 1.5;
    background-color: #1C1C1C;
    color: #F5F5F5;
    padding: 5% 10%;
    text-align: center;
}
/*Margins & padding implemented for a consistent layout.*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
/*A header section with the web page titles and their logo.*/
.header {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    padding: 30px;
    background-color: #1C1C1C;
    color: #F5F5F5;
    font-size: 3rem;
}
/*1st heading's styles.*/
h1 {
    color: #F5F5F5;
    width: 50%;
    font-size: 3rem;
    padding: 0.5em;
    text-align: center;
    margin: 0 auto;
}
main {
    font-size: 1rem;
}
/*Styles implemented for the buttons*/
.button {
    /*#66AACD = Blue(Buttons' Background).*/
    background-color: #66AACD;
    color: #F5F5F5;
    /*#BFA36F = Gold(Buttons' border colour).*/
    border: 1px solid #BFA36F;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 2px 1px;
    cursor: pointer;
}
/*Fonts used for some of the buttons.*/
#index .p button, #C-U .right button {
    font-family: Roboto;
}
#index .column button{
    font-family: Arial;
}
/*Index page's image & Layout of the content.*/
#index .Img {
    display: flex;
    align-items: center;
    gap: 250px;
}
#index .img {
    border: 1px solid #BFA36F;
    border-radius: 2px;
    padding: 3px;
    width: 500px;
    margin: 0;
}
/*Text next to Img1.*/
#index .p {
    color: #F5F5F5;
    max-width: 90px;
    line-height: 1.0;
    margin: 0;
    text-align: center;
    margin: -155px auto 0 auto;
}
/*Text added on the left, the map and buttons right.*/
#index .row {
    display: flex;
    align-items: flex-start;
    gap: 20px;
    margin-top: 10px;
}
#index .text{
    width: 45%;
}
#index .column {
    display: flex;
    width: 45%;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    margin-top: -180px;
}
/*Map Image Styling.*/
#index .map {
    width: 100%;
    height: auto;
    opacity: 1;
}
/*About-Us-Gallery page layout.*/
#A-U-G .row {
    display: flex;
    align-items: flex-start;
    gap: 20px;
    margin-top: 10px;
}
#A-U-G .left{
    width: 40%;
}
#A-U-G .right {
    width: 40%;
}
/*Contact-Us page layout.*/
#C-U .row {
    display: flex;
    align-items: flex-start;
    gap: 15px;
    margin-top: 10px;
}
#C-U .left {
    width: 60%;
}
#C-U .right {
    width: 40%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    margin-top: 150px;
}
/*Location Address' Layout.*/
#Address .row {
    display: flex;
    align-items: flex-start;
    gap: 15px;
    margin-top: 10px;
}
#Address .left{
    width: 50%;
}
#Address .right{
    width: 50%;
}
/*Hover effect for all images.*/
img:hover {
        box-shadow: 0 0 5px 1px rgba(120, 70, 180, 0.5);
}
/*Table Styling.*/
table, th, td {
    border: 1px solid #BFA36F;
} 
table {
    border-collapse: collapse;
}
/*Ordered List styling*/
ol {
    list-style-type: lower-alpha;
    background: #BFA36F;
    padding: 20px;
}
ol li {
    background: #1C1C1C;
    color: #F5F5F5;
    padding: 10px;
    margin-left: 20px;
}
/*Navbar styling.*/
.navbar {
    display: flex;
    background-color: #D9D9D9;
}
.navbar a {
    flex: 1;
    border-right: 1px solid #BFA36F;
    display: block;
    color: white;
    padding: 7px 10px;
    text-decoration: none;
    text-align: center;
}
.navbar a:last-child {
    border-right:none;
}
/*Hover effect for navbar links.*/
.navbar a:hover:not(.active) {
    background-color: #66AACD;
}
/*Adjustments for mobile views.*/
@media(max-width: 430px) {
    .row {
     flex-direction: column;
    }
} 






